Mailing List Archive

[PATCH 2/3] elisp-common.eclass: Update documentation.
After the package split between emacs and emacs-vcs is gone, packages
can depend on app-editors/emacs directly.

Signed-off-by: Ulrich Müller <ulm@gentoo.org>
---
eclass/elisp-common.eclass | 22 +++++++++-------------
1 file changed, 9 insertions(+), 13 deletions(-)

diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index 6f79caee2f0..47e33ac28ae 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -24,26 +24,26 @@
# When relying on the emacs USE flag, you need to add
#
# @CODE
-# emacs? ( virtual/emacs )
+# emacs? ( app-editors/emacs:* )
# @CODE
#
# to your DEPEND/RDEPEND line and use the functions provided here to
# bring the files to the correct locations.
#
-# If your package requires a minimum Emacs version, e.g. Emacs 24, then
-# the dependency should be on >=virtual/emacs-24 instead. Because the
-# user can select the Emacs executable with eselect, you should also
-# make sure that the active Emacs version is sufficient. This can be
-# tested with function elisp-need-emacs(), which would typically be
-# called from pkg_setup(), as in the following example:
+# If your package requires a minimum Emacs version, e.g. Emacs 26.1,
+# then the dependency should be on >=app-editors/emacs-26.1:* instead.
+# Because the user can select the Emacs executable with eselect, you
+# should also make sure that the active Emacs version is sufficient.
+# This can be tested with function elisp-need-emacs(), which would
+# typically be called from pkg_setup(), as in the following example:
#
# @CODE
-# elisp-need-emacs 24 || die "Emacs version too low"
+# elisp-need-emacs 26.1 || die "Emacs version too low"
# @CODE
#
# Please note that such tests should be limited to packages that are
# known to fail with lower Emacs versions; the standard case is to
-# depend on virtual/emacs without version.
+# depend on app-editors/emacs without version.
#
# @ROFF .SS
# src_compile() usage:
@@ -152,10 +152,6 @@
#
# When having optional Emacs support, you should prepend "use emacs &&"
# to above calls of elisp-site-regen().
-# Don't use "has_version virtual/emacs"! When unmerging the state of
-# the emacs USE flag is taken from the package database and not from the
-# environment, so it is no problem when you unset USE=emacs between
-# merge and unmerge of a package.

case ${EAPI:-0} in
4|5|6) inherit eapi7-ver ;;
--
2.24.1